## jujutsu 0.30.0

=== debian/changelog ===
jujutsu (0.30.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1061772)

 -- Federico Ceratto <federico@debian.org>  Sat, 14 Feb 2026 18:05:25 +0100
