=== debian/control ===
Source: jujutsu
Section: utils
Priority: optional
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Federico Ceratto <federico@debian.org>, Ananthu C V <weepingclown@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Homepage: https://github.com/jj-vcs/jj
Vcs-Browser: https://salsa.debian.org/rust-team/jujutsu
Vcs-Git: https://salsa.debian.org/rust-team/jujutsu.git

Package: jujutsu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Git-compatible version control system
 Jujutsu is an easy to use and versatile version control system for software
 projects. It is compatible with Git and provides:
 Working-copy-as-a-commit: Changes to files are recorded automatically as
 normal commits, and amended on every subsequent change removing the need for
 `git stash` and working with index and staging.
 Operation log & undo: Jujutsu records every operation that is performed on
 the repository, from commits, to pulls, to pushes.
 Automatic rebase and conflict resolution: When you modify a commit, every
 descendent is automatically rebased on top of it. This makes "patch-based"
 workflows a breeze.
