=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jj-$1\.tar\.gz/ \
  https://github.com/jj-vcs/jj/tags .*/v?(\d\S*)\.tar\.gz
